#include <bits/stdc++.h>
#include <math.h>
using namespace std;

int main()
{
    //Unosne vrednosti
    int N;
    float A[200000];
    float P[200000];
    //Racunske vrednosti
    float zbir = 0.00, priv = 0.00;
    //Unos
    cin >> N;
    for (int i=0; i<N; i++)
    {
        cin >> A[i] >> P[i];
        //Zaokruzivanje na dve decimale
        P[i] = roundf(P[i] * 100)/100;
    }
    //ispitivanje za svaki procenat
    for (int i=0; i<N; i++)
    {
        float z = P[i] / 100.00;
        zbir = 0.00;
        for(int k=0; k<N; k++)
        {
    //Ispitani procenat < Izabranog procenta
            if(P[k] >= P[i])
                zbir = zbir + A[k];
        }
        if (priv < zbir * z)
            priv = zbir * z;
    }
    cout << fixed << priv << endl;
}